xtfrm.Surv {survival} | R Documentation

## Sorting order for Surv objects

### Description

Sort survival objects into a partial order, which is the same one used internally for many of the calculations.

### Usage

    ## S3 method for class 'Surv'
    xtfrm(x)

### Arguments

`x` | a `Surv` object

### Details

This creates a partial ordering of survival objects. The result is sorted in time order, for tied pairs of times right censored events come after observed events (censor after death), and left censored events are sorted before observed events. For counting process data `(tstart, tstop, status)` the ordering is by stop time, status, and start time, again with censoring last. Interval censored data is sorted using the midpoint of each interval.

The `xtfrm` routine is used internally by `order` and `sort`, so these results carry over to those routines.

### Value

a vector of integers which will have the same sort order as `x`.

### Author(s)

Terry Therneau

### See Also

`sort`, `order`

### Examples

    test <- c(Surv(c(10, 9,9, 8,8,8,7,5,5,4), rep(1:0, 5)), Surv(6.2, NA))
    test
    sort(test)

[Package survival version 2.42-6 Index]